Get Layers in Groups by Query Parameters

Retrieves layers by query parameters, returned in groups. The response body will have the following have the following fields

Path Params
string
required

Value used to group the retrieved layers by. Possible values are jobId, stageId, assetId, orgId, branch.

Query Params
string

Public access token used to authorize the request. Requests may only come from the token's allowed domains. This parameter is mandatory when making requests from a browser. Outside of the browser instead supply a bearer header using a private access token.

string

Organization ID.

string

ID of a layer

string

ID of a asset

string

Asset layer

string

Configuration of an asset layer. If the asset has no composition(related to layered rendering), the assetLayerConfiguration is the configuration of the asset in question. Must be passed in as by encoding the stringified JSON.

string

Stage ID

string

Configuration of the stage. Must be passed in as a stringified ad encoded JSON.

string

Metadata of the stage. Must be passed in as a stringified and encoded JSON.

string

Job ID

string

Name of the org branch to connect to. If no value is provided the default value is "main".

number

Total number of entries per page, defaults to 30 and can only go up to 100

number

Page to return, defaults to 1

string

The direction and value to sort by, defaults to createdAt ascending (denoted +createdAt)

Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json